Chaldean Numerology API (Life Path, Destiny)
Life path, destiny, soul urge, personality (Chaldean)
POST/v1/numerology/core
1 credit · Secret key (test or live) · getNumerologyCore
Request body
namestringat least 1 characters · at most 120 characters
date_of_birthstring (date) requirede.g.
"1990-08-13"
No other fields are accepted.
Response
JSON { data, meta, warnings }, where data is:
life_pathinteger requireddestinyinteger or null requiredOne of:
- integer
- null
soul_urgeinteger or null requiredOne of:
- integer
- null
personalityinteger or null requiredOne of:
- integer
- null
birth_numberinteger requiredruling_planetstring requiredlucky_numbersarray of integer requiredhidden_passioninteger or null requiredOne of:
- integer
- null
maturityinteger or null requiredOne of:
- integer
- null
personal_yearinteger requiredpersonal_monthinteger requiredpersonal_dayinteger requiredlife_path_meaningobject requirednamestring requiredkeywordstring requiredtraitsstring required
soul_urge_meaningstring or null requiredOne of:
- string
- null
personality_meaningstring or null requiredOne of:
- string
- null
lucky_colorsarray of string requiredlucky_daysarray of string requiredlucky_gemstring requiredname_breakdownarray of LetterValue or null requiredOne of:
- array of LetterValue
Fields
letterstring requiredvalueinteger required≥ 0 · ≤ 8
typestring requiredone of
vowel,consonant
- null
- array of LetterValue
Errors: 400, 401, 403, 404, 422, 429, 500. See error codes.
Example request
curl -X POST 'https://api.astrologics.in/v1/numerology/core' \
-H 'Authorization: Bearer al_test_YOUR_KEY' \
-H 'Content-Type: application/json' \
-d '{"name":"Asha Verma","date_of_birth":"1990-08-13"}'
Node.js
const res = await fetch("https://api.astrologics.in/v1/numerology/core", {
method: "POST",
headers: { Authorization: "Bearer al_test_YOUR_KEY", "Content-Type": "application/json" },
body: JSON.stringify({
"name": "Asha Verma",
"date_of_birth": "1990-08-13"
}),
});
console.log(JSON.stringify(await res.json(), null, 2));Python
import json
import urllib.error
import urllib.request
body = {
"name": "Asha Verma",
"date_of_birth": "1990-08-13",
}
req = urllib.request.Request(
"https://api.astrologics.in/v1/numerology/core",
method="POST",
headers={"Authorization": "Bearer al_test_YOUR_KEY", "Content-Type": "application/json"},
data=json.dumps(body).encode(),
)
try:
with urllib.request.urlopen(req) as res:
print(json.dumps(json.load(res), indent=2, ensure_ascii=False))
except urllib.error.HTTPError as err:
print(err.code, err.read().decode())PHP
<?php
$ch = curl_init('https://api.astrologics.in/v1/numerology/core');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_HTTPHEADER => ['Authorization: Bearer al_test_YOUR_KEY', 'Content-Type: application/json'],
CURLOPT_POSTFIELDS => '{"name":"Asha Verma","date_of_birth":"1990-08-13"}',
CURLOPT_RETURNTRANSFER => true,
]);
echo curl_exec($ch), PHP_EOL;Example response
200 OK · 1,891 characters
{
"data": {
"life_path": 4,
"destiny": 1,
"soul_urge": 8,
"personality": 2,
"birth_number": 4,
"ruling_planet": "rahu",
"lucky_numbers": [
4,
13,
22,
31
],
"hidden_passion": 1,
"maturity": 5,
"personal_year": 4,
"personal_month": 6,
"personal_day": 9,
"life_path_meaning": {
"name": "The Builder",
"keyword": "Stability & discipline",
"traits": "Practical, disciplined, loyal and hardworking. Builds lasting foundations through patience."
},
"soul_urge_meaning": "Inside you desire success, recognition, influence and material mastery.",
"personality_meaning": "Others see you as gentle, warm, tactful and easy to approach.",
"lucky_colors": [
"Blue",
"Grey",
"Khaki"
],
"lucky_days": [
"Saturday",
"Sunday"
],
"lucky_gem": "Hessonite (Gomed)",
"name_breakdown": [
{
"letter": "A",
"value": 1,
"type": "vowel"
},
{
"letter": "S",
"value": 3,
"type": "consonant"
},
{
"letter": "H",
"value": 5,
"type": "consonant"
},
{
"letter": "A",
"value": 1,
"type": "vowel"
},
{
"letter": "V",
"value": 6,
"type": "consonant"
},
{
"letter": "E",
"value": 5,
"type": "vowel"
},
{
"letter": "R",
"value": 2,
"type": "consonant"
},
{
"letter": "M",
"value": 4,
"type": "consonant"
},
{
"letter": "A",
"value": 1,
"type": "vowel"
}
]
},
"meta": {
"request_id": "req_example",
"api_version": "v1",
"engine_version": "2026.10.10",
"mode": "live",
"credits_charged": 1
},
"warnings": []
}Try it
More in Numerology
- Pythagorean Numerology API: Pythagorean numbers: core, karmic debts and lessons, pinnacles, challenges and personal year
- Name Numerology API: Chaldean name number
- Mobile Number Numerology API: Mobile-number analysis
- Lo Shu Grid API: Lo Shu grid
- Numerology Compatibility API: Numerology compatibility
- Business Name Numerology API: Business name number (Chaldean): planet, verdict and the business-friendly numbers
- Lucky Name Check API: Is the name lucky for the person: the name number against the life path and birth numbers